package control;

import java.util.TimerTask;

import background.CommandManager;

public class CommandTimerTask extends TimerTask {
	CommandManager commandManager;
		
	public CommandTimerTask(CommandManager commandManager) {
		this.commandManager = commandManager;
	}
		
	@Override 
	public void run() {
        commandManager.applyNextCommand();
	}
}


